function love.load()
	canny = love.graphics.newCanvas()
	acceleration = 80
	xacc = 0
	balls = {}
	balls.list = {}
	balls.add = function(self)
		self.list[#self.list+1] = {
			radius = math.random()*100+20
			}
			self.list[#self.list].x = self.list[#self.list].radius + math.random()*(love.window.getWidth()-self.list[#self.list].radius*2)
			self.list[#self.list].y = self.list[#self.list].radius + math.random()*(love.window.getHeight()-self.list[#self.list].radius*2)
			self.list[#self.list].xspeed = (math.random()-0.5)*40
			self.list[#self.list].yspeed = 0
			self.list[#self.list].color = {math.random()*255,math.random()*255,math.random()*255,math.random()*255}
			self.list[#self.list].elasticity = 0.95 + math.random()*0.05

	end
	balls.draw = function(self)
		love.graphics.setCanvas(canny)
		for i, v in pairs(self.list) do
			love.graphics.setColor(v.color)
			love.graphics.circle("fill", v.x, v.y, v.radius)
			--love.graphics.setColor(255,255,255)
			--love.graphics.print(math.floor(v.yspeed).." : "..math.floor(v.x).." : "..math.floor(v.y), v.x, v.y)
		end
		love.graphics.setCanvas()
		love.graphics.setColor(255,255,255,255)
		love.graphics.draw(canny)
	end
	balls.update = function(self,dt)
		for i, v in pairs(self.list) do
			if (v.x + v.xspeed * dt)-v.radius > 0 and (v.x + v.xspeed * dt)+v.radius < love.window:getWidth() then
				v.x = v.x + v.xspeed * dt
				v.xspeed = v.xspeed + xacc *dt
			else
				v.xspeed = (-1) * v.xspeed * v.elasticity
			end
			v.yspeed = v.yspeed + acceleration*dt
			if  (v.y + v.yspeed * dt)-v.radius > 0  and love.window:getHeight() > (v.y + v.yspeed * dt)+v.radius then
				v.y = v.y + v.yspeed * dt
			else
				v.yspeed = -1 * v.yspeed * v.elasticity
			end
		end
	end
	balls.jump = function(self)
		for i, v in pairs(self.list) do
			v.yspeed = v.yspeed - 100
		end
	end
	for i=0, 1000, 1 do
		balls:add()
	end
end

function love.update(dt)
	balls:update(dt)
	if love.keyboard.isDown("right") then
		xacc = 60
	elseif love.keyboard.isDown("left") then
		xacc = -60
	else
		xacc = 0
	end
end

function love.draw()
	balls:draw()
	--love.graphics.print(love.window.getHeight())
end

function love.keypressed(key, isrepeat)
	--print(key.."   :   "..tostring(isrepeat))
	if key == "kp+" then
		balls:add()
	elseif key == "escape" then
		love.event.push("quit")
	elseif key == "up" and isrepeat == false then
		balls:jump()
	end
end